[
  {
    location = "bottom";
    widgets = [
      {
        name = "org.kde.plasma.pager";
        config = {
          General.displayedText = "Name";
        };
      }
      {
        name = "org.kde.plasma.panelspacer";
        config = {
          General.length = "400";
          Generla.expanding = "false";
        };
      }
      "org.kde.plasma.kickoff"
      {
        name = "org.kde.plasma.icontasks";
        config = {
          # Unpin default apps
          General.launchers = [];
          General.middleClickAction = "None";
          General.groupingStrategy = "0";
          General.minimizeActiveTaskOnClick = "false";
          General.wheelEnabled = "false";
        };
      }
      "org.kde.plasma.panelspacer"
      {
        systemTray.icons.scaleToFit = true;
        systemTray.items = {
          showAll = false;
          shown = [
            "org.kde.plasma.battery"
            "org.kde.plasma.networkmanagement"
            "org.kde.plasma.volume"
            "org.kde.plasma.keyboardlayout"
            "org.kde.plasma.manage-inputmethod"
          ];
          hidden = [
            "org.kde.plasma.bluetooth"
            "org.kde.plasma.notifications"
            "org.kde.plasma.brightness"
            "org.kde.kscreen"
          ];
          extra = [
            "org.kde.plasma.battery"
            "org.kde.plasma.brightness"
            "org.kde.plasma.cameraindicator"
            "org.kde.plasma.devicenotifier"
            "org.kde.plasma.notifications"
            "org.kde.kscreen"
            "org.kde.plasma.bluetooth"
            "org.kde.plasma.keyboardlayout"
            "org.kde.plasma.networkmanagement"
            "org.kde.plasma.printmanager"
            "org.kde.plasma.volume"
          ];
          configs = {
            "org.kde.plasma.keyboardlayout".config.General = {
              displayStyle = "Flag";
            };
          };
        };
      }
      {
        digitalClock = {
          date.enable = false;
          calendar.firstDayOfWeek = "sunday";
          calendar.showWeekNumbers = true;
          time.format = "24h";
          time.showSeconds = "always";
        };
      }
    ];
    height = 40;
    floating = false;
  }
]
